﻿select n.id,
       n.table_name,
       n.pk_id,
       n.language_code,
       n.name,
       n.description,
       n.created_date,
       (select full_name from srm_resources where user_id = n.created_by) as created_by,
       n.last_updated_date,
       (select full_name from srm_resources where user_id = n.last_updated_by) as last_updated_by
  from cmn_captions_nls n
 where (n.table_name, n.pk_id) in (select table_name,
                                          pk_id
                                     from (select t.table_name,
                                                  t.pk_id,
                                                  case table_name
                                                    when 'BPM_DEF_PROCESSES' then
                                                     nvl((select 1
                                                           from bpm_def_processes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'BPM_DEF_STAGES' then
                                                     nvl((select 1
                                                           from bpm_def_stages
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'BPM_DEF_STEPS' then
                                                     nvl((select 1
                                                           from bpm_def_steps
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'BPM_DEF_STEP_ACTIONS' then
                                                     nvl((select 1
                                                           from bpm_def_step_actions
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_ACTIONS' then
                                                     nvl((select 1
                                                           from cmn_actions
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_ACTION_PARAMS' then
                                                     nvl((select 1
                                                           from cmn_action_params
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_AUTONUM_SCHEMES' then
                                                     nvl((select 1
                                                           from cmn_autonum_schemes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_BROWSE_MULTI_SELECT' then
                                                     nvl((select 1
                                                           from cmn_lov_objects
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_BROWSE_PORTLET_ATTRIBUTES' then
                                                     nvl((select 1
                                                           from cmn_browse_portlet_attributes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_BROWSE_SINGLE_SELECT' then
                                                     nvl((select 1
                                                           from cmn_lov_objects
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_BUSINESS_OBJECTS' then
                                                     nvl((select 1
                                                           from cmn_business_objects
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_COLORS' then
                                                     nvl((select 1
                                                           from cmn_colors
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_COMPONENTS' then
                                                     nvl((select 1
                                                           from cmn_components
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_COUNTRIES' then
                                                     nvl((select 1
                                                           from cmn_countries
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_CURRENCIES' then
                                                     nvl((select 1
                                                           from cmn_currencies
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_FEATURES' then
                                                     nvl((select 1
                                                           from cmn_features
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_FILTERS' then
                                                     nvl((select 1
                                                           from cmn_filters
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_FILTER_FIELDS' then
                                                     nvl((select 1
                                                           from cmn_filter_fields
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_GG_ITEMS' then
                                                     nvl((select 1
                                                           from cmn_gg_items
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_GG_NSQL_QUERIES' then
                                                     nvl((select 1
                                                           from cmn_gg_nsql_queries
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_GRAPH_AXES' then
                                                     nvl((select 1
                                                           from cmn_graph_axes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_GRIDS' then
                                                     nvl((select 1
                                                           from cmn_grids
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_GRID_COLS' then
                                                     nvl((select 1
                                                           from cmn_grid_cols
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_LANGUAGES' then
                                                     nvl((select 1
                                                           from cmn_languages
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_LOOKUPS' then
                                                     nvl((select 1
                                                           from cmn_lookups
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_LOOKUP_TYPES' then
                                                     nvl((select 1
                                                           from cmn_lookup_types
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_MENU_ITEMS' then
                                                     nvl((select 1
                                                           from cmn_menu_items
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_NOTIFICATIONS' then
                                                     nvl((select 1
                                                           from cmn_notifications
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_NSQL_QUERY_FILTERS' then
                                                     nvl((select 1
                                                           from cmn_nsql_query_filters
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_OBJECT_VIEWS' then
                                                     nvl((select 1
                                                           from cmn_object_views
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_OPTIONS' then
                                                     nvl((select 1
                                                           from cmn_options
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_PAGES' then
                                                     nvl((select 1
                                                           from cmn_pages
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_PAGE_LAYOUTS' then
                                                     nvl((select 1
                                                           from cmn_page_layouts
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_PAGE_PORTLETS' then
                                                     nvl((select 1
                                                           from cmn_page_portlets
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_PARTITIONS' then
                                                     nvl((select 1
                                                           from cmn_partitions
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_PORTLETS' then
                                                     nvl((select 1
                                                           from cmn_portlets
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_PORTLET_SERVICES' then
                                                     nvl((select 1
                                                           from cmn_portlet_services
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_PROCESS_NOTIFICATIONS' then
                                                     nvl((select 1
                                                           from cmn_process_notifications
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_RPT_LABELS' then
                                                     nvl((select 1
                                                           from cmn_rpt_labels
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_SCH_JOB_DEFINITIONS' then
                                                     nvl((select 1
                                                           from cmn_sch_job_definitions
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_SEC_ACLS' then
                                                     nvl((select 1
                                                           from cmn_sec_acls
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_SEC_FEATURES' then
                                                     nvl((select 1
                                                           from cmn_sec_features
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_SEC_GROUPS' then
                                                     nvl((select 1
                                                           from cmn_sec_groups
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_SEC_OBJECTS' then
                                                     nvl((select 1
                                                           from cmn_sec_objects
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_SEC_PERMISSIONS' then
                                                     nvl((select 1
                                                           from cmn_sec_permissions
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_SEC_POLICIES' then
                                                     nvl((select 1
                                                           from cmn_sec_policies
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_SERVICES' then
                                                     nvl((select 1
                                                           from cmn_services
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_UI_THEMES' then
                                                     nvl((select 1
                                                           from cmn_ui_themes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_VIEW_ATTRIBUTES' then
                                                     nvl((select 1
                                                           from cmn_view_attributes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMN_VIEW_RESOURCES' then
                                                     nvl((select 1
                                                           from cmn_view_resources
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMS_CONTENT_ADDINS' then
                                                     nvl((select 1
                                                           from cms_content_addins
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'CMS_CONTENT_ADDIN_ITEMS' then
                                                     nvl((select 1
                                                           from cms_content_addin_items
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ESC_DEF_RULES' then
                                                     nvl((select 1
                                                           from esc_def_rules
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_ACTIONS' then
                                                     nvl((select 1
                                                           from odf_actions
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_CUSTOM_ATTRIBUTES' then
                                                     nvl((select 1
                                                           from odf_custom_attributes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_LINKS' then
                                                     nvl((select 1
                                                           from odf_links
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_OBJECTS' then
                                                     nvl((select 1
                                                           from odf_objects
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_VIEWS' then
                                                     nvl((select 1
                                                           from odf_views
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_VIEW_ACTION_GROUPS' then
                                                     nvl((select 1
                                                           from odf_view_action_groups
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_VIEW_ATTRIBUTES' then
                                                     nvl((select 1
                                                           from odf_view_attributes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_VIEW_ATTRIBUTES_DESC' then
                                                     nvl((select 1
                                                           from odf_view_attributes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_VIEW_ATTRIBUTES_INSTR' then
                                                     nvl((select 1
                                                           from odf_view_attributes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_VIEW_ATTRIBUTES_TIP' then
                                                     nvl((select 1
                                                           from odf_view_attributes
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'ODF_VIEW_SECTIONS' then
                                                     nvl((select 1
                                                           from odf_view_sections
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                    when 'SEC_ELEMENTS' then
                                                     nvl((select 1
                                                           from sec_elements
                                                          where id = t.pk_id
                                                            and rownum = 1),
                                                         0)
                                                  --Table does not Exist
                                                    when 'BPM_DEF_STEP_CONDITION_NOTES' then
                                                     0
                                                    when 'ODF_CLASS' then
                                                     0
                                                    else
                                                     -1
                                                  end as present
                                             from (select distinct table_name,
                                                                   pk_id
                                                     from cmn_captions_nls) t)
                                    where present <= 0)
